Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface Adapter

All Known Implementing Classes:
  CoyoteAdapter

    public interface Adapter

Adapter. This represents the entry point in a coyote-based servlet container.

Author:
  Remy Maucherat
See Also:
  `ProtocolHandler`

Method Summary
`boolean` | `event(Request req, Response res, SocketStatus status)`
`void` | `log(Request req, Response res, long time)`
`void` | `service(Request req, Response res)` Call the service method, and notify all listeners

Method Detail

### service

    void service(Request req,
                 Response res)
                 throws java.lang.Exception

  Call the service method, and notify all listeners

  Throws:
    `java.lang.Exception` - if an error happens during handling of the request. Common errors are:
    - IOException if an input/output error occurs and we are processing an included servlet (otherwise it is swallowed and handled by the top level error handler mechanism)
    - ServletException if a servlet throws an exception and we are processing an included servlet (otherwise it is swallowed and handled by the top level error handler mechanism)
    Tomcat should be able to handle and log any other exception ( including runtime exceptions )

### event

    boolean event(Request req,
                  Response res,
                  SocketStatus status)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### log

    void log(Request req,
             Response res,
             long time)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.